Loading...
Searching...
No Matches
trc_mem_acc_cache.h File Reference

OpenCSD : Memory accessor cache. More...

`#include <string>`
`#include "opencsd/ocsd_if_types.h"`
Include dependency graph for trc_mem_acc_cache.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | cache_block
class | TrcMemAccCache

## Macros

#define | MEM_ACC_CACHE_PAGE_SIZE 256
#define | MEM_ACC_CACHE_MRU_SIZE 12

## Typedefs

typedef struct cache_block | cache_block_t

## Detailed Description

OpenCSD : Memory accessor cache.

Copyright
  Copyright (c) 2018, ARM Limited. All Rights Reserved.

Definition in file trc_mem_acc_cache.h.

## Macro Definition Documentation

## MEM_ACC_CACHE_MRU_SIZE

#define MEM_ACC_CACHE_MRU_SIZE 12

Definition at line 42 of file trc_mem_acc_cache.h.

## MEM_ACC_CACHE_PAGE_SIZE

#define MEM_ACC_CACHE_PAGE_SIZE 256

Definition at line 41 of file trc_mem_acc_cache.h.

## Typedef Documentation

## cache_block_t

typedef struct cache_block cache_block_t